# ACE_FILE_Addr Class Reference

Defines the FILE address family address format. More...

`#include <FILE_Addr.h>`

Inheritance diagram for ACE_FILE_Addr:

[legend]
Collaboration diagram for ACE_FILE_Addr:

[legend]
List of all members.

## Public Member Functions

| ACE_FILE_Addr (void)
| Default constructor.
| ACE_FILE_Addr (const ACE_FILE_Addr &sa)
| Copy constructor.
int | set (const ACE_FILE_Addr &sa)
| ACE_FILE_Addr (const ACE_TCHAR *filename)
| Create a ACE_FILE_Addr from a pathname.
int | set (const ACE_TCHAR *filename)
| Create a ACE_FILE_Addr from a pathname.
ACE_FILE_Addr & | operator= (const ACE_FILE_Addr &)
| Assignment operator.
virtual void * | get_addr (void) const
| Return a pointer to the address.
virtual int | addr_to_string (ACE_TCHAR *addr, size_t) const
| Transform the current address into string format.
bool | operator== (const ACE_FILE_Addr &SAP) const
| Compare two addresses for equality.
bool | operator!= (const ACE_FILE_Addr &SAP) const
| Compare two addresses for inequality.
const ACE_TCHAR * | get_path_name (void) const
| Return the path name used for the rendezvous point.
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Private Attributes

ACE_TCHAR | filename_ [MAXPATHLEN+1]
| Name of the file.

## Detailed Description

Defines the FILE address family address format.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_FILE_Addr::ACE_FILE_Addr | ( | void |  | ) |

| Default constructor.

ACE_FILE_Addr::ACE_FILE_Addr | ( | const ACE_FILE_Addr & | sa | ) |

| Copy constructor.

ACE_FILE_Addr::ACE_FILE_Addr | ( | const ACE_TCHAR * | filename | ) | `[explicit]`

| Create a ACE_FILE_Addr from a pathname.

## Member Function Documentation

int ACE_FILE_Addr::addr_to_string | ( | ACE_TCHAR * | addr,
|  | size_t |
| ) | const`[virtual]`

| Transform the current address into string format.

void ACE_FILE_Addr::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Addr.

void * ACE_FILE_Addr::get_addr | ( | void |  | ) | const`[virtual]`

| Return a pointer to the address. Reimplemented from ACE_Addr.

ACE_INLINE const ACE_TCHAR * ACE_FILE_Addr::get_path_name | ( | void |  | ) | const

| Return the path name used for the rendezvous point.

ACE_INLINE bool ACE_FILE_Addr::operator!= | ( | const ACE_FILE_Addr & | SAP | ) | const

| Compare two addresses for inequality.

ACE_FILE_Addr & ACE_FILE_Addr::operator= | ( | const ACE_FILE_Addr & |  | ) |

| Assignment operator.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE bool ACE_FILE_Addr::operator== | ( | const ACE_FILE_Addr & | SAP | ) | const

| Compare two addresses for equality.

int ACE_FILE_Addr::set | ( | const ACE_TCHAR * | filename | ) |

| Create a ACE_FILE_Addr from a pathname.

int ACE_FILE_Addr::set | ( | const ACE_FILE_Addr & | sa | ) |

| Acts like a copy constructor. If <sa> == ACE_Addr::sap_any then create a temporary filename using <ACE_OS::mktemp>.

## Member Data Documentation

ACE_FILE_Addr::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Addr.

ACE_TCHAR ACE_FILE_Addr::filename_[MAXPATHLEN+1]`[private]`

| Name of the file.

The documentation for this class was generated from the following files:

- FILE_Addr.h
- FILE_Addr.cpp
- FILE_Addr.inl